#pragma once
// このファイルには演習をスムーズにするための便利関数が定義してある
#include "functions.h"

int fkut_InputInteger(const string &argStr)
{
	const char *str = fl_input(fk_Code::utf8(argStr, FK_STR_SJIS));
	if(str == NULL) return 0;
	return atoi(str);
}

double fkut_InputDouble(const string &argStr)
{
	const char *str = fl_input(fk_Code::utf8(argStr, FK_STR_SJIS));
	if(str == NULL) return 0;
	return atof(str);
}

string fkut_InputString(const string &argStr)
{
	const char *str = fl_input(fk_Code::utf8(argStr, FK_STR_SJIS));
	if(str == NULL) return "";
	return fk_Code::sjis(string(str), FK_STR_UTF8);
}

void fkut_PrintInteger(const int &argValue, const string &argStr)
{
	fl_message(fk_Code::utf8(argStr + fk_StrPrintf("%d", argValue), FK_STR_SJIS));
}

void fkut_PrintDouble(const double argValue, const string &argStr)
{
	fl_message(fk_Code::utf8(argStr + fk_StrPrintf("%f", argValue), FK_STR_SJIS));
}

void fkut_PrintString(const string &argStr)
{
	fl_message(fk_Code::utf8(argStr, FK_STR_SJIS));
}
